IPCONTROLLER(1)

NAME
ipcontroller - IPython parallel computing controller control tool

SYNOPSIS
ipengine [options]

DESCRIPTION
ipcontroller is a control tool for IPython's parallel computing functions.

OPTIONS

-h, --help
    show this help message and exit

--client-ip=CLIENT_IP
    the IP address or hostname the controller will listen on for client connections

--client-port=CLIENT_PORT
    the port the controller will listen on for client connections

--client-location=CLIENT_LOCATION
    hostname or ip for clients to connect to

-x  turn off all client security

--client-cert-file=CLIENT_CERT_FILE
    file to store the client SSL certificate

--task-furl-file=TASK_FURL_FILE
    file to store the FURL for task clients to connect with

--multiengine-furl-file=MULTIENGINE_FURL_FILE
    file to store the FURL for multiengine clients to connect with

--engine-ip=ENGINE_IP
    the IP address or hostname the controller will listen on for engine connections

--engine-port=ENGINE_PORT
    the port the controller will listen on for engine connections

--engine-location=ENGINE_LOCATION
    the IP address or hostname for engine to connect to

-y  turn off all engine security

--engine-cert-file=ENGINE_CERT_FILE
    file to store the engine SSL certificate

--engine-furl-file=ENGINE_FURL_FILE
    file to store the FURL for engines to connect with

-l LOGFILE, --logfile=LOGFILE
    log file name (default is stdout)

-r  try to reuse all furl files

SEE ALSO
ipython(1),ipcluster(1),ipengine(1)

AUTHOR
ipcontroller is a tool that ships with IPython, created by the IPython Development Team.

This manual page was written by Stephan Peijnik <debian@sp.or.at>, for the Debian project (but may be used by others). Modified by Fernando Perez <Fernando.Perez@berkeley.edu> for inclusion in IPython.